=== debian/control ===
Source: ros-rolling-ur-description
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-tools <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-launch-testing-ros <!nocheck>, ros-rolling-xacro <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ur-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-joint-state-publisher-gui, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-robot-state-publisher, ros-rolling-rviz2, ros-rolling-urdf, ros-rolling-xacro, ros-rolling-ros-workspace
Description: URDF description for Universal Robots
